import client from './client'

export function createChannelSubject(data: any) {
  return client.post('/api/v1/channel-subject', data)
}

export function listChannelSubjects() {
  return client.get('/api/v1/channel-subject/list')
}

export function updateChannelSubject(id: number, data: any) {
  return client.put(`/api/v1/channel-subject/${id}`, data)
}

export function deleteChannelSubject(id: number) {
  return client.delete(`/api/v1/channel-subject/${id}`)
}

export function updateChannelSubjectStatus(id: number, data: any) {
  return client.patch(`/api/v1/channel-subject/${id}/status`, data)
}
